#ifndef TSPLASHSCREEN_H
#define TSPLASHSCREEN_H

#include <QFrame>
#include <QPainter>
#include <QThread>

class TeSplashScreen : public QFrame
{
public:
    TeSplashScreen(const QPixmap& pixmap);
    void showMessage(const QString& theMessage, int theAlignment = Qt::AlignLeft, const QColor& theColor = Qt::black);
    void showSplash(int delay, QStringList messages, int alignment = Qt::AlignLeft, const QColor& color = Qt::black);
    void showSplash(QList<int> delaies, int defaultDelay, QStringList messages, int alignment = Qt::AlignLeft, const QColor& color = Qt::black);

private:
    virtual void paintEvent(QPaintEvent* pe);
    void clearMessage();
    QPixmap sPixmap;
    QString sMessage;
    int sAlignment;
    QColor sColor;
};

#endif // TSPLASHSCREEN_H
